<template>
  <template v-if="!register.IsHidden && !isRegister">
    <!-- To Do Handle Multiple Style Select -->
    <new-black-theme-register-dialog
      v-if="registerStyleSelected?.Text === 'Login_Page_2'"
    />
    <new-black-theme-register-dialog v-else />
  </template>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "MobileRegisterPageRender",
  setup() {
    const route = useRoute();
    const isRegister = computed(() => route.name === "register");
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const register = computed(() =>
      themePropertyHelper.getSingleThemeProperty(
        themeProperties.value,
        "register"
      )
    );
    const registerStyleSelected = themePropertyHelper.getSingleThemeProperty(
      themeProperties.value,
      "login_register"
    );
    return {
      register,
      isRegister,
      registerStyleSelected,
    };
  },
});
</script>
